Description: Honor the environment variable CPPFLAGS and LDFLAGS
 This is required in Debian, such that hardening flags like
 -D_FORTIFY_SOURCE=2 and -Wl,-z,relro are used in the compilation
 and linking of C files.
Author: Rafael Laboissière <rafael@debian.org>
Forwarded: https://lists.jedsoft.org/lists/slang-devel/2021/0000006.html
Last-Update: 2021-11-15

--- slpvm-0.1.5.orig/src/Makefile.in
+++ slpvm-0.1.5/src/Makefile.in
@@ -61,7 +61,7 @@ all: $(MODULES)
 # Put Rules to create the modules here
 #---------------------------------------------------------------------------
 pvm-module.so: pvm-module.c
-	$(CC_SHARED) $(INCS) pvm-module.c -o pvm-module.so $(LIBS)
+	$(CC_SHARED) $(CPPFLAGS) $(INCS) $(LDFLAGS) pvm-module.c -o pvm-module.so $(LIBS)
 #---------------------------------------------------------------------------
 # Regression tests
 #---------------------------------------------------------------------------
